--[[
Name: Babble-Fish-2.2
Revision: $Rev: 28865 $
Authors(s): kagaro (sal.scotto@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Fish-2.2
SVN: http://svn.wowace.com/root/branch/Babble-2.2/Babble-Fish-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Fish-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 28865 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleFish = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleFish:RegisterTranslations("enUS", function() return {
-- Fishing Node
	["Floating Wreckage"] = true,
	["Patch of Elemental Water"] = true,
	["Floating Debris"] = true,
	["Oil Spill"] = true,
	["Firefin Snapper School"] = true,
	["Greater Sagefish School"] = true,
	["Oily Blackmouth School"] = true,
	["Sagefish School"] = true,
	["School of Deviate Fish"] = true,
	["Stonescale Eel Swarm"] = true,
	["Muddy Churning Water"] = true,
	["Highland Mixed School"] = true,  
	["Pure Water"] = true,            
	["Bluefish School"] = true,
	["Feltail School"] = true, 
	["Mudfish School"] = true, 
	["School of Darter"] = true, 
	["Sporefish School"] = true,  
	["Steam Pump Flotsam"] = true, 
	["School of Tastyfish"] = true,
-- Quest Fish + Fished Loot for Quests
	["Sar'theris Striker"] = true,
	["Savage Coast Blue Sailfin"] = true,
	["Misty Reed Mahi Mahi"] = true,
	["Feralas Ahi"] = true,
	["Spotted Sunfish"] = true,
	["Lightning Eel"] = true,
--["Oil Covered Fish"] = true,
	["Plated Armorfish"] = true,
	["Darkshore Grouper"] = true,
	["Electropeller"] = true,
	["Gaffer Jack"] = true,
	["Speckled Tastyfish"] = true,
	["Keefer's Angelfish"] = true,
	["Dezian Queenfish"] = true,
	["Brownell's Blue Striped Racer"] = true,
-- Normal Fish
	["Stonescale Eel"] = true,
	["Oily Blackmouth"] = true,
	["Firefin Snapper"] = true,
	["Oil Covered Fish"] = true,
	["Sickly Looking Fish"] = true,
	["Raw Brilliant Smallfish"] = true,
	["Raw Bristle Whisker Catfish"] = true,
	["Raw Glossy Mightfish"] = true,
	["Raw Greater Sagefish"] = true,
	["Raw Loch Frenzy"] = true,
	["Raw Longjaw Mud Snapper"] = true,
	["Raw Mithril Head Trout"] = true,
	["Raw Nightfin Snapper"] = true,
	["Raw Rainbow Fin Albacore"] = true,
	["Raw Redgill"] = true,
	["Raw Rockscale Cod"] = true,
	["Raw Sagefish"] = true,
	["Raw Slitherskin Mackerel"] = true,
	["Raw Spotted Yellowtail"] = true,
	["Raw Summer Bass"] = true,
	["Raw Sunscale Salmon"] = true,
	["Raw Whitescale Salmon"] = true,
	["Darkclaw Lobster"] = true,
	["Deviate Fish"] = true,
	["Large Raw Mightfish"] = true,
	["Winter Squid"] = true,
	["Felblood Snapper"] = true,
	["Figluster's Mudfish"] = true,
	["Furious Crawdad"] = true,
	["Golden Darter"] = true,
	["Icefin Bluefish"] = true,
	["Spotted Feltail"] = true,
	["Zangarian Sporefish"] = true,
	["Goldenscale Vendorfish"] = true,
}
end)

BabbleFish:RegisterTranslations("koKR", function() return {
-- Fishing Node
	["Floating Wreckage"] = "표류하는 잔해",
	["Patch of Elemental Water"] = "정기가 흐르는 물 웅덩이",
	["Floating Debris"] = "표류하는 파편",
	["Oil Spill"] = "떠다니는 기름",
	["Firefin Snapper School"] = "불지느러미퉁돔 떼",
	["Greater Sagefish School"] = "대형 총명어 떼",
	["Oily Blackmouth School"] = "기름기 많은 아귀 떼",
	["Sagefish School"] = "총명어 떼",
	["School of Deviate Fish"] = "돌연변이 물고기 떼",
	["Stonescale Eel Swarm"] = "돌비늘뱀장어 떼",
	["Muddy Churning Water"] = "Muddy Churning Water", -- check
	["Highland Mixed School"] = "Highland Mixed School",   -- check
	["Pure Water"] = "Pure Water", -- check
	["Bluefish School"] = "Bluefish School", -- check
	["Feltail School"] = "지옥꼬리통돔 떼", -- check
	["Mudfish School"] = "Mudfish School", -- check
	["School of Darter"] = "School of Darter", -- check
	["Sporefish School"] = "포자물고기 떼", -- check
	["Steam Pump Flotsam"] = "증기 양수기 부품", -- check
	["School of Tastyfish"] = "School of Tastyfish", -- check
-- Quest Fish + Fished Loot for Quests
	["Sar'theris Striker"] = "살데리스 아귀",
	["Savage Coast Blue Sailfin"] = "폭풍 해안 푸른도루묵",
	["Misty Reed Mahi Mahi"] = "안개갈대 황새치",
	["Feralas Ahi"] = "페랄라스 참치",
	["Spotted Sunfish"] = "점박이 개복치",
	["Lightning Eel"] = "번개뱀장어",
	["Oil Covered Fish"] = "기름으로 범벅된 물고기",
	["Plated Armorfish"] = "무쇠비늘 철갑어",
	["Darkshore Grouper"] = "어둠의해안 농어",
	["Electropeller"] = "전력추진기",
	["Gaffer Jack"] = "개퍼 잭",
	["Speckled Tastyfish"] = "점박이맛둥어",
	["Keefer's Angelfish"] = "키퍼의 천사돔",
	["Dezian Queenfish"] = "데지안 여왕물고기",
	["Brownell's Blue Striped Racer"] = "브로넬의 푸른줄무늬날치",
-- Normal Fish
	["Stonescale Eel"] = "돌비늘뱀장어",
	["Oily Blackmouth"] = "기름기 많은 아귀",
	["Firefin Snapper"] = "불지느러미퉁돔",
	["Oil Covered Fish"] = "기름으로 범벅된 물고기",
	["Sickly Looking Fish"] = "병들어 보이는 물고기",
	["Raw Brilliant Smallfish"] = "비단잉어",
	["Raw Bristle Whisker Catfish"] = "표범메기",
	["Raw Glossy Mightfish"] = "빛깔좋은 망둥어",
	["Raw Greater Sagefish"] = "대형 총명어",
	["Raw Loch Frenzy"] = "호수프렌지",
	["Raw Longjaw Mud Snapper"] = "긴주둥이진흙퉁돔",
	["Raw Mithril Head Trout"] = "미스릴송어",
	["Raw Nightfin Snapper"] = "밤비늘퉁돔",
	["Raw Rainbow Fin Albacore"] = "무지개날개다랑어",
	["Raw Redgill"] = "붉은퉁돔",
	["Raw Rockscale Cod"] = " 돌비늘대구",
	["Raw Sagefish"] = "총명어",
	["Raw Slitherskin Mackerel"] = " 줄무늬고등어",
	["Raw Spotted Yellowtail"] = "점박이놀래기",
	["Raw Summer Bass"] = "넙치농어",
	["Raw Sunscale Salmon"] = "해비늘연어",
	["Raw Whitescale Salmon"] = " 유리비늘연어 ",
	["Darkclaw Lobster"] = "검은발톱 랍스터",
	["Deviate Fish"] = "돌연변이 물고기",
	["Large Raw Mightfish"] = "큰 망둥어",
	["Winter Squid"] = "겨울오징어",
	["Felblood Snapper"] = "Felblood Snapper", -- check
	["Figluster's Mudfish"] = "Figluster's Mudfish", -- check
	["Furious Crawdad"] = "Furious Crawdad", -- check
	["Golden Darter"] = "Golden Darter", -- check
	["Icefin Bluefish"] = "Icefin Bluefish", -- check
	["Spotted Feltail"] = "지옥꼬리통돔", -- check
	["Zangarian Sporefish"] = "장가르 포자물고기", -- check
	["Goldenscale Vendorfish"] = "Goldenscale Vendorfish", -- check
}
end)

BabbleFish:RegisterTranslations("deDE", function() return {
-- Fishing Node
	["Floating Wreckage"] = "Schwimmende Wrackteile",
	["Patch of Elemental Water"] = "Stelle mit Elementarwasser",
	["Floating Debris"] = "Schwimmende Trümmer",
	["Oil Spill"] = "Ölfleck", -- check
	["Firefin Snapper School"] = "Feuerflossenschnapperschwarm",
	["Greater Sagefish School"] = "Schwarm großer Weisenfische",
	["Oily Blackmouth School"] = "Schwarm öliger Schwarzmaulfische",
	["Sagefish School"] = "Weisenfischschwarm",
	["School of Deviate Fish"] = "Deviatfischschwarm",
	["Stonescale Eel Swarm"] = "Steinschuppenaalschwarm",
	["Muddy Churning Water"] = "Schlammiges aufgewühltes Gewässer",
  ["Highland Mixed School"] = "Hochlandschwarm", -- definitely needs a closer look!
  ["Pure Water"] = "Reines Wasser",
  ["Bluefish School"] = "Blauflossenschwarm", --check
  ["Feltail School"] = "Teufelsfinnenschwarm", --check
  ["Mudfish School"] = "Matschflosserschwarm", --check
  ["School of Darter"] = "Stachelflosserschwarm" , --check
  ["Sporefish School"] = "Sporenfischschwarm",
  ["Steam Pump Flotsam"] = "Dampfpumpentrümmer", --check
  ["School of Tastyfish"] = "Leckerfischschwarm",
-- Quest Fish + Fished Loot for Quests
	["Sar'theris Striker"] = "Sar'theris-Barsch",
	["Savage Coast Blue Sailfin"] = "Blauwimpel von der ungezähmten Küste",
	["Misty Reed Mahi Mahi"] = "Nebelschilf-Mahi-Mahi",
	["Feralas Ahi"] = "Feralas Ahi",
	["Spotted Sunfish"] = "Gefleckter Sonnenfisch",
	["Lightning Eel"] = "Zitteraal",
	["Oil Covered Fish"] = "Ölbedeckter Fisch",
	["Plated Armorfish"] = "Panzerfisch",
	["Darkshore Grouper"] = "Dunkelküstenbarsch",
	["Electropeller"] = "Elektropeller",
	["Gaffer Jack"] = "Klemm-Muffen",
	["Speckled Tastyfish"] = "Gesprenkelter Leckerfisch",
	["Keefer's Angelfish"] = "Keefers Engelfisch",
	["Dezian Queenfish"] = "Dezianischer Königinnenfisch",
	["Brownell's Blue Striped Racer"] = "Brownells blaugestreifter Flitzerfisch",
-- Normal Fish
	["Stonescale Eel"] = "Steinschuppenaal",
	["Oily Blackmouth"] = "Öliges Schwarzmaul",
	["Firefin Snapper"] = "Feuerflossenschnapper",
--["Oil Covered Fish"] = ,
  ["Sickly Looking Fish"] = "Krank aussehender Fisch",
	["Raw Brilliant Smallfish"] = "Roher glänzender Kleinfisch",
	["Raw Bristle Whisker Catfish"] = "Roher Stoppelfühlerwels",
	["Raw Glossy Mightfish"] = "Roher glänzender Machtfisch",
	["Raw Greater Sagefish"] = "Roher großer Weisenfisch",
	["Raw Loch Frenzy"] = "Roher Lochfrenzy",
	["Raw Longjaw Mud Snapper"] = "Roher langzahniger Matschschnapper",
	["Raw Mithril Head Trout"] = "Rohe Mithrilkopfforelle",
	["Raw Nightfin Snapper"] = "Roher Nachtflossenschnapper",
	["Raw Rainbow Fin Albacore"] = "Roher Regenbogenflossenthunfisch",
	["Raw Redgill"] = "Roher Regenbogenflossenthunfisch",
	["Raw Rockscale Cod"] = "Roher Steinschuppenkabeljau",
	["Raw Sagefish"] = "Roher Weisenfisch",
	["Raw Slitherskin Mackerel"] = "Rohe Glitschhautmakrele",
	["Raw Spotted Yellowtail"] = "Roher Tüpfelgelbschwanz",
	["Raw Summer Bass"] = "Roher Sommerbarsch",
	["Raw Sunscale Salmon"] = "Roher Sonnenschuppenlachs",
	["Raw Whitescale Salmon"] = "Roher Weißschuppenlachs",
	["Darkclaw Lobster"] = "Dunkelklauenhummer",
	["Deviate Fish"] = "Deviatfisch",
	["Large Raw Mightfish"] = "Großer roher Machtfisch",
	["Winter Squid"] = "Winterkalmar",
	["Felblood Snapper"] = "Teufelsblutschnapper",
	["Figluster's Mudfish"] = "Feigenschimmers Matschflosser",
	["Furious Crawdad"] = "Grimmiger Flusskrebs",
	["Golden Darter"] = "Goldener Stachelflosser",
	["Icefin Bluefish"] = "Eisblauflosse",
	["Spotted Feltail"] = "Tüpfelteufelsfinne",
	["Zangarian Sporefish"] = "Zangarischer Sporenfisch",
	["Goldenscale Vendorfish"] = "Goldschuppenfisch",
}
end)

BabbleFish:RegisterTranslations("frFR", function() return {
-- Fishing Node
	["Floating Wreckage"] = "Débris flottant", -- à vérifier : doublon ?
	["Patch of Elemental Water"] = "Remous d'eau élémentaire",
	["Floating Debris"] = "Débris flottant",
	["Oil Spill"] = "Nappe de pétrole",
	["Firefin Snapper School"] = "Banc de Lutjan nagenuit cru",
	["Greater Sagefish School"] = "Banc de Grande sagerelles",
	["Oily Blackmouth School"] = "Banc de Bouche-noire huileux",
	["Sagefish School"] = "Banc de sagerelles",
	["School of Deviate Fish"] = "Banc de Poisson déviant",
	["Stonescale Eel Swarm"] = "Banc d'anguille pierre-écaille",
	["Muddy Churning Water"] = "Muddy Churning Water", -- à traduire
	["Highland Mixed School"] = "Highland Mixed School", -- à traduire
	["Pure Water"] = "Eau pure",
	["Bluefish School"] = "Banc de tassergals",
	["Feltail School"] = "Banc de gangre-queue tachetés",
	["Mudfish School"] = "Banc de poissons-boues",
	["School of Darter"] = "School of Darter", -- à  traduire
	["Sporefish School"] = "Banc de poissons-spores",
	["Steam Pump Flotsam"] = "Débris de la pompe à vapeur",
	["School of Tastyfish"] = "Banc de courbine",
-- Quest Fish + Fished Loot for Quests
	["Sar'theris Striker"] = "Frappeur Sar'theris",
	["Savage Coast Blue Sailfin"] = "Sailfin bleu de la Côte sauvage",
	["Misty Reed Mahi Mahi"] = "Mahi Mahi de Brumejonc",
	["Feralas Ahi"] = "Ahi de Féralas",
	["Spotted Sunfish"] = "Poisson-lune",
	["Lightning Eel"] = "Anguille électrique",
--["Oil Covered Fish"] = true,
	["Plated Armorfish"] = "Poisson cuirassé",
	["Darkshore Grouper"] = "Mérou de Sombrivage",
	["Electropeller"] = "Electropeller",
	["Gaffer Jack"] = "Rouage électrique",
	["Speckled Tastyfish"] = "Courbine",
	["Keefer's Angelfish"] = "Scalaire de Keefer",
	["Dezian Queenfish"] = "Talang dezien",
	["Brownell's Blue Striped Racer"] = "Tassergal à dos rayé",
-- Normal Fish
	["Stonescale Eel"] = "Anguille pierre-écaille",
	["Oily Blackmouth"] = "Bouche-noire huileux",
	["Firefin Snapper"] = "Lutjan de nagefeu",
	["Oil Covered Fish"] = "Poisson huileux",
	["Sickly Looking Fish"] = "Poisson maladif",
	["Raw Brilliant Smallfish"] = "Goujon brillant cru",
	["Raw Bristle Whisker Catfish"] = "Poisson-chat moustachu cru",
	["Raw Glossy Mightfish"] = "Barracuda luisant cru",
	["Raw Greater Sagefish"] = "Grande sagerelle crue",
	["Raw Loch Frenzy"] = "Furie du loch crue",
	["Raw Longjaw Mud Snapper"] = "Lutjan à longue mâchoire cru",
	["Raw Mithril Head Trout"] = "Truite tête-mithril crue",
	["Raw Nightfin Snapper"] = "Lutjan nagenuit cru",
	["Raw Rainbow Fin Albacore"] = "Thon arc-en-ciel cru",
	["Raw Redgill"] = "Rouget cru",
	["Raw Rockscale Cod"] = "Morue rochécaille crue",
	["Raw Sagefish"] = "Sagerelle crue",
	["Raw Slitherskin Mackerel"] = "Maquereau ombré cru",
	["Raw Spotted Yellowtail"] = "Jaune-queue tacheté cru",
	["Raw Summer Bass"] = "Perche estivale crue",
	["Raw Sunscale Salmon"] = "Saumon solécaille cru",
	["Raw Whitescale Salmon"] = "Saumon Blanchécaille cru",
	["Darkclaw Lobster"] = "Homard Pince-noire",
	["Deviate Fish"] = "Poisson déviant",
	["Large Raw Mightfish"] = "Grand barracuda cru",
	["Winter Squid"] = "Calmar hivernal",
	["Felblood Snapper"] = "Lutjan gangresang",
	["Figluster's Mudfish"] = "Ablette de Figluster",
	["Furious Crawdad"] = "Ecrevisse furieuse",
	["Golden Darter"] = "Dard doré",
	["Icefin Bluefish"] = "Tassergal nageglace",
	["Spotted Feltail"] = "Gangre-queue tacheté",
	["Zangarian Sporefish"] = "Poisson-spore zangarien",
	["Goldenscale Vendorfish"] = "Poisson orécaille",
}
end)

BabbleFish:RegisterTranslations("esES", function() return {
-- Fishing Node
	["Floating Wreckage"] = "Restos de un naufragio",  
	["Patch of Elemental Water"] = "Patch of Elemental Water",   -- fix
	["Floating Debris"] = "Restos flotando",   
	["Oil Spill"] = "Vertido de petr\195\179leo", 
	["Firefin Snapper School"] = "Banco de pargos de fuego",
	["Greater Sagefish School"] = "Banco de sabiolas superiores",
	["Oily Blackmouth School"] = "banco de bocanegra graso",
	["Sagefish School"] = "Banco de sabiolas",
	["School of Deviate Fish"] = "Banco de peces descarriados",
	["Stonescale Eel Swarm"] = "Enjambre de anguilas escama tormentosa",
	["Muddy Churning Water"] = "Muddy Churning Water",  -- fix
	["Highland Mixed School"] = "Banco mezclado de las Tierras Altas",  -- check  
	["Pure Water"] = "Agua pura",
	["Bluefish School"] = "Bluefish School",  -- fix
	["Feltail School"] = "Banco de colaviles",
	["Mudfish School"] = "Banco de peces barro",  
	["School of Darter"] = "Banco de dardos", -- check
	["Sporefish School"] = "Sporefish School",  -- fix
	["Steam Pump Flotsam"] = "Restos flotantes de bomba de vapor",
	["School of Tastyfish"] = "Banco de pezricos moteados",
-- Quest Fish + Fished Loot for Quests
	["Sar'theris Striker"] = "Sar'theris Striker", -- ?
	["Savage Coast Blue Sailfin"] = "Savage Coast Blue Sailfin",  --?
	["Misty Reed Mahi Mahi"] = "Misty Reed Mahi Mahi",  --?
	["Feralas Ahi"] = "Feralas Ahi", --?
	["Spotted Sunfish"] = "Pez luna moteado",
	["Lightning Eel"] = "Anguila rel\195\161mpago",
--["Oil Covered Fish"] = true,
	["Plated Armorfish"] = "Pez coraza de placas",
	["Darkshore Grouper"] = "Mero de Costa Oscura",
	["Electropeller"] = "Electromuelle",
	["Gaffer Jack"] = "Mecanismo el\195\169ctrico",
	["Speckled Tastyfish"] = "Pezrico moteado",
	["Keefer's Angelfish"] = "Pez \195\161ngel de Keefer",
	["Dezian Queenfish"] = "Dezian Queenfish", -- ?
	["Brownell's Blue Striped Racer"] = "Corredor a rayas azules de Brownell",
-- Normal Fish
	["Stonescale Eel"] = "Anguila escama tormentosa",
	["Oily Blackmouth"] = "Bocanegra graso",
	["Firefin Snapper"] = "Pargo de Fuego",
	["Oil Covered Fish"] = "Pescado cubierto de aceite",
	["Sickly Looking Fish"] = "Pescado con mala pinta",
	["Raw Brilliant Smallfish"] = "Pececito luminoso crudo",
	["Raw Bristle Whisker Catfish"] = "Siluro mostacherizo crudo",
	["Raw Glossy Mightfish"] = "Vigorpez lustroso crudo",
	["Raw Greater Sagefish"] = "Sabiola cruda superior",
	["Raw Loch Frenzy"] = "Frenes\195\173 del lago crudo",
	["Raw Longjaw Mud Snapper"] = "Pargo de lodo boquilargo crudo",
	["Raw Mithril Head Trout"] = "Trucha cabeza de mitril cruda",
	["Raw Nightfin Snapper"] = "Pargo nocturno crudo",
	["Raw Rainbow Fin Albacore"] = "At\195\186n blanco arco iris crudo",
	["Raw Redgill"] = "Branquirrojo crudo",
	["Raw Rockscale Cod"] = "Raw Rockscale Cod",
	["Raw Sagefish"] = "Sabiola cruda",
	["Raw Slitherskin Mackerel"] = "Caballa suave cruda",
	["Raw Spotted Yellowtail"] = "Serviola moteada cruda",
	["Raw Summer Bass"] = "Lubina cruda",
	["Raw Sunscale Salmon"] = "Salm\195\179n escama de sol crudo",
	["Raw Whitescale Salmon"] = "Salm\195\179n escama blanca crudo",
	["Darkclaw Lobster"] = "Langosta pinza oscura",
	["Deviate Fish"] = "Pez descarriado",
	["Large Raw Mightfish"] = "Vigorpez crudo grande",
	["Winter Squid"] = "Calamar de invierno",
	["Felblood Snapper"] = "Felblood Snapper",    -- fix
	["Figluster's Mudfish"] = "Figluster's Mudfish",  -- fix
	["Furious Crawdad"] = "Furious Crawdad",    -- fix
	["Golden Darter"] = "Golden Darter",        -- fix
	["Icefin Bluefish"] = "Icefin Bluefish",      -- fix
	["Spotted Feltail"] = "Spotted Feltail",       -- fix
	["Zangarian Sporefish"] = "Zangarian Sporefish",    -- fix
	["Goldenscale Vendorfish"] = "Goldenscale Vendorfish",   -- fix
} end)

BabbleFish:Debug()
BabbleFish:SetStrictness(true)

AceLibrary:Register(BabbleFish, MAJOR_VERSION, MINOR_VERSION)
BabbleFish = nil
